@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,400;0,700;1,400;1,700&display=swap");

@media print {
    body {
        margin: 0 !important;
    }
}

.main-container {
    font-family: "Lato";
    width: 100% !important;
    max-width: none !important;
    min-width: 0 !important;
    margin: 0 !important;
    box-sizing: border-box;
    /*margin-left: auto;*/
    /*margin-right: auto;*/
}

.ck-content {
    font-family: "Lato";
    /* line-height: 1.6; */
    word-break: break-word;
}

.editor-container_classic-editor .editor-container__editor {
    min-width: 0 !important;
    max-width: 100% !important;
    width: 100% !important;
}

.ck-editor__editable_inline {
    min-width: 0 !important;
    max-width: 100% !important;
    width: 100% !important;
    min-height: 300px;
}

.editor_container__word-count .ck-word-count {
    color: var(--ck-color-text);
    display: flex;
    height: 30px;
    gap: var(--ck-spacing-small);
    justify-content: flex-end;
    font-size: var(--ck-font-size-base);
    line-height: var(--ck-line-height-base);
    font-family: var(--ck-font-face);
    padding: var(--ck-spacing-small) var(--ck-spacing-standard);
}

.editor-container_include-word-count.editor-container_classic-editor
    .editor_container__word-count {
    border: 1px solid var(--ck-color-base-border);
    border-radius: var(--ck-border-radius);
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-top: none;
}

.editor-container_include-word-count.editor-container_classic-editor
    .editor-container__editor
    .ck-editor
    .ck-editor__editable {
    border-radius: 0;
}

.ck-content {
    min-height: 200px;
}
.ck-content :is(h1, h2, h3, h4, h5, h6, ul, ol, li, a, strong) {
    all: revert;
}

/* 폰트 사이즈 드롭다운 버튼/목록 크기 고정 + 스크롤 */
.ck .ck-font-size-dropdown .ck-button__label {
    font-size: var(--ck-font-size-base) !important;
}
.ck .ck-font-size-dropdown .ck-list {
    max-height: 300px;
    overflow-y: auto;
}
.ck .ck-font-size-dropdown .ck-list .ck-button__label {
    font-size: var(--ck-font-size-base) !important;
}
